Loading...
Searching...
No Matches
ipa_module_info.h File Reference

Image Processing Algorithm module information. More...

`#include <stdint.h>`
Include dependency graph for ipa_module_info.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | libcamera::IPAModuleInfo
| Information of an IPA module. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Macros

#define | IPA_MODULE_API_VERSION 1
| The IPA module API version.

## Variables

const struct IPAModuleInfo | libcamera::ipaModuleInfo
| External IPA module interface.

## Detailed Description

Image Processing Algorithm module information.

## Macro Definition Documentation

## IPA_MODULE_API_VERSION

#define IPA_MODULE_API_VERSION 1

The IPA module API version.

This version number specifies the version for the layout of struct IPAModuleInfo. The IPA module shall use this macro to set its moduleAPIVersion field.

See also
  IPAModuleInfo::moduleAPIVersion